Index: src/UIElements/TextUI/Query/AtomTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/AtomTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/AtomTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -45,6 +45,6 @@
 #include "World.hpp"
 
-TextDialog::AtomTextQuery::AtomTextQuery(Parameter<const atom *> &_param, std::string title, std::string _description) :
-    Dialog::TQuery<const atom *>(_param, title,_description)
+TextDialog::AtomTextQuery::AtomTextQuery(Parameter<const atom *> &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<const atom *>(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/AtomsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/AtomsTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/AtomsTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -46,6 +46,6 @@
 
 
-TextDialog::AtomsTextQuery::AtomsTextQuery(Parameter<std::vector<const atom *> > &_param, std::string title, std::string _description) :
-    Dialog::TQuery<std::vector<const atom *> >(_param, title,_description)
+TextDialog::AtomsTextQuery::AtomsTextQuery(Parameter<std::vector<const atom *> > &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<std::vector<const atom *> >(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/BooleanTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/BooleanTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/BooleanTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -43,6 +43,6 @@
 
 
-TextDialog::BooleanTextQuery::BooleanTextQuery(Parameter<bool> &_param, std::string title, std::string _description) :
-    Dialog::TQuery<bool>(_param, title,_description)
+TextDialog::BooleanTextQuery::BooleanTextQuery(Parameter<bool> &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<bool>(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/DoubleTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/DoubleTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/DoubleTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -43,6 +43,6 @@
 
 
-TextDialog::DoubleTextQuery::DoubleTextQuery(Parameter<double> &_param, std::string title, std::string _description) :
-    Dialog::TQuery<double>(_param, title,_description)
+TextDialog::DoubleTextQuery::DoubleTextQuery(Parameter<double> &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<double>(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/DoublesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/DoublesTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/DoublesTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -43,6 +43,6 @@
 
 
-TextDialog::DoublesTextQuery::DoublesTextQuery(Parameter<std::vector<double> > &_param, std::string title, std::string _description) :
-    Dialog::TQuery<std::vector<double> >(_param, title,_description)
+TextDialog::DoublesTextQuery::DoublesTextQuery(Parameter<std::vector<double> > &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<std::vector<double> >(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/ElementTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -46,6 +46,6 @@
 
 
-TextDialog::ElementTextQuery::ElementTextQuery(Parameter<const element *> &_param, std::string title, std::string _description) :
-    Dialog::TQuery<const element *>(_param, title,_description)
+TextDialog::ElementTextQuery::ElementTextQuery(Parameter<const element *> &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<const element *>(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/ElementsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -50,6 +50,6 @@
 
 
-TextDialog::ElementsTextQuery::ElementsTextQuery(Parameter<std::vector<const element *> > &_param, std::string title, std::string _description) :
-    Dialog::TQuery<std::vector<const element *> >(_param, title,_description)
+TextDialog::ElementsTextQuery::ElementsTextQuery(Parameter<std::vector<const element *> > &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<std::vector<const element *> >(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/EmptyTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/EmptyTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/EmptyTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -43,6 +43,6 @@
 
 
-TextDialog::EmptyTextQuery::EmptyTextQuery(std::string title, std::string _description) :
-    Dialog::EmptyQuery(title,_description)
+TextDialog::EmptyTextQuery::EmptyTextQuery(const std::string &_title, const std::string &_description) :
+    Dialog::EmptyQuery(_title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/FileTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/FileTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/FileTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -46,6 +46,6 @@
 
 
-TextDialog::FileTextQuery::FileTextQuery(Parameter<boost::filesystem::path> &_param, std::string title, std::string _description) :
-    Dialog::TQuery<boost::filesystem::path>(_param, title,_description)
+TextDialog::FileTextQuery::FileTextQuery(Parameter<boost::filesystem::path> &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<boost::filesystem::path>(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/FilesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/FilesTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/FilesTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -46,6 +46,6 @@
 
 
-TextDialog::FilesTextQuery::FilesTextQuery(Parameter<std::vector< boost::filesystem::path> > &_param, std::string title, std::string _description) :
-    Dialog::TQuery<std::vector<boost::filesystem::path> >(_param, title,_description)
+TextDialog::FilesTextQuery::FilesTextQuery(Parameter<std::vector< boost::filesystem::path> > &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<std::vector<boost::filesystem::path> >(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/IntTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/IntTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/IntTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -43,6 +43,6 @@
 
 
-TextDialog::IntTextQuery::IntTextQuery(Parameter<int> &_param, std::string title, std::string _description) :
-    Dialog::TQuery<int>(_param, title,_description)
+TextDialog::IntTextQuery::IntTextQuery(Parameter<int> &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<int>(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/IntsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/IntsTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/IntsTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -43,6 +43,6 @@
 
 
-TextDialog::IntsTextQuery::IntsTextQuery(Parameter<std::vector<int> > &_param, std::string title, std::string _description) :
-    Dialog::TQuery<std::vector<int> >(_param, title,_description)
+TextDialog::IntsTextQuery::IntsTextQuery(Parameter<std::vector<int> > &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<std::vector<int> >(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/MoleculeTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/MoleculeTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/MoleculeTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -46,6 +46,6 @@
 
 
-TextDialog::MoleculeTextQuery::MoleculeTextQuery(Parameter<const molecule *> &_param, std::string title, std::string _description) :
-    Dialog::TQuery<const molecule *>(_param, title,_description)
+TextDialog::MoleculeTextQuery::MoleculeTextQuery(Parameter<const molecule *> &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<const molecule *>(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/MoleculesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/MoleculesTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/MoleculesTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -46,6 +46,6 @@
 
 
-TextDialog::MoleculesTextQuery::MoleculesTextQuery(Parameter<std::vector<const molecule *> > &_param, std::string title, std::string _description) :
-    Dialog::TQuery<std::vector<const molecule *> >(_param, title,_description)
+TextDialog::MoleculesTextQuery::MoleculesTextQuery(Parameter<std::vector<const molecule *> > &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<std::vector<const molecule *> >(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/RandomNumberDistribution_ParametersTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/RandomNumberDistribution_ParametersTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/RandomNumberDistribution_ParametersTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -45,6 +45,6 @@
 #include "RandomNumbers/RandomNumberDistribution_Parameters.hpp"
 
-TextDialog::RandomNumberDistribution_ParametersTextQuery::RandomNumberDistribution_ParametersTextQuery(Parameter<RandomNumberDistribution_Parameters> &_param, std::string title, std::string _description) :
-    Dialog::TQuery<RandomNumberDistribution_Parameters>(_param, title,_description)
+TextDialog::RandomNumberDistribution_ParametersTextQuery::RandomNumberDistribution_ParametersTextQuery(Parameter<RandomNumberDistribution_Parameters> &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<RandomNumberDistribution_Parameters>(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/RealSpaceMatrixTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -44,6 +44,6 @@
 
 
-TextDialog::RealSpaceMatrixTextQuery::RealSpaceMatrixTextQuery(Parameter<RealSpaceMatrix> &_param, std::string title, std::string _description) :
-    Dialog::TQuery<RealSpaceMatrix>(_param, title,_description)
+TextDialog::RealSpaceMatrixTextQuery::RealSpaceMatrixTextQuery(Parameter<RealSpaceMatrix> &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<RealSpaceMatrix>(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/StringTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/StringTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/StringTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -43,6 +43,6 @@
 
 
-TextDialog::StringTextQuery::StringTextQuery(Parameter<std::string> &_param, std::string title, std::string _description) :
-    Dialog::TQuery<std::string>(_param, title,_description)
+TextDialog::StringTextQuery::StringTextQuery(Parameter<std::string> &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<std::string>(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/StringsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/StringsTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/StringsTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -43,6 +43,6 @@
 
 
-TextDialog::StringsTextQuery::StringsTextQuery(Parameter<std::vector<std::string> > &_param, std::string title, std::string _description) :
-    Dialog::TQuery<std::vector<std::string> >(_param, title,_description)
+TextDialog::StringsTextQuery::StringsTextQuery(Parameter<std::vector<std::string> > &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<std::vector<std::string> >(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/TextQuery.hpp
===================================================================
--- src/UIElements/TextUI/Query/TextQuery.hpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/TextQuery.hpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -19,5 +19,5 @@
 class TextDialog::AtomTextQuery : public Dialog::TQuery<const atom *> {
 public:
-  AtomTextQuery(Parameter<const atom *> &, std::string title, std::string _description = NULL);
+  AtomTextQuery(Parameter<const atom *> &, const std::string &_title, const std::string &_description = NULL);
   virtual ~AtomTextQuery();
   virtual bool handle();
@@ -26,5 +26,5 @@
 class TextDialog::AtomsTextQuery : public Dialog::TQuery<std::vector<const atom *> > {
 public:
-  AtomsTextQuery(Parameter<std::vector<const atom *> > &, std::string title, std::string _description = NULL);
+  AtomsTextQuery(Parameter<std::vector<const atom *> > &, const std::string &_title, const std::string &_description = NULL);
   virtual ~AtomsTextQuery();
   virtual bool handle();
@@ -33,5 +33,5 @@
 class TextDialog::BooleanTextQuery : public Dialog::TQuery<bool> {
 public:
-  BooleanTextQuery(Parameter<bool> &, std::string title, std::string _description = NULL);
+  BooleanTextQuery(Parameter<bool> &, const std::string &_title, const std::string &_description = NULL);
   virtual ~BooleanTextQuery();
   virtual bool handle();
@@ -40,5 +40,5 @@
 class TextDialog::RealSpaceMatrixTextQuery : public Dialog::TQuery<RealSpaceMatrix> {
 public:
-  RealSpaceMatrixTextQuery(Parameter<RealSpaceMatrix> &, std::string title, std::string _description = NULL);
+  RealSpaceMatrixTextQuery(Parameter<RealSpaceMatrix> &, const std::string &_title, const std::string &_description = NULL);
   virtual ~RealSpaceMatrixTextQuery();
   virtual bool handle();
@@ -47,5 +47,5 @@
 class TextDialog::DoubleTextQuery : public Dialog::TQuery<double> {
 public:
-  DoubleTextQuery(Parameter<double> &, std::string title, std::string _description = NULL);
+  DoubleTextQuery(Parameter<double> &, const std::string &_title, const std::string &_description = NULL);
   virtual ~DoubleTextQuery();
   virtual bool handle();
@@ -54,5 +54,5 @@
 class TextDialog::DoublesTextQuery : public Dialog::TQuery<std::vector<double> > {
 public:
-  DoublesTextQuery(Parameter<std::vector<double> > &, std::string title, std::string _description = NULL);
+  DoublesTextQuery(Parameter<std::vector<double> > &, const std::string &_title, const std::string &_description = NULL);
   virtual ~DoublesTextQuery();
   virtual bool handle();
@@ -61,5 +61,5 @@
 class TextDialog::ElementTextQuery : public Dialog::TQuery<const element *> {
 public:
-  ElementTextQuery(Parameter<const element *> &, std::string title, std::string _description = NULL);
+  ElementTextQuery(Parameter<const element *> &, const std::string &_title, const std::string &_description = NULL);
   virtual ~ElementTextQuery();
   virtual bool handle();
@@ -68,5 +68,5 @@
 class TextDialog::ElementsTextQuery : public Dialog::TQuery<std::vector<const element *> > {
 public:
-  ElementsTextQuery(Parameter<std::vector<const element *> > &, std::string title, std::string _description = NULL);
+  ElementsTextQuery(Parameter<std::vector<const element *> > &, const std::string &_title, const std::string &_description = NULL);
   virtual ~ElementsTextQuery();
   virtual bool handle();
@@ -75,5 +75,5 @@
 class TextDialog::EmptyTextQuery : public Dialog::EmptyQuery {
 public:
-  EmptyTextQuery(std::string title, std::string _description = NULL);
+  EmptyTextQuery(const std::string &_title, const std::string &_description = NULL);
   virtual ~EmptyTextQuery();
   virtual bool handle();
@@ -82,5 +82,5 @@
 class TextDialog::FileTextQuery : public Dialog::TQuery<boost::filesystem::path> {
 public:
-  FileTextQuery(Parameter<boost::filesystem::path> &, std::string title, std::string _description = NULL);
+  FileTextQuery(Parameter<boost::filesystem::path> &, const std::string &_title, const std::string &_description = NULL);
   virtual ~FileTextQuery();
   virtual bool handle();
@@ -89,5 +89,5 @@
 class TextDialog::FilesTextQuery : public Dialog::TQuery<std::vector<boost::filesystem::path> > {
 public:
-  FilesTextQuery(Parameter<std::vector< boost::filesystem::path> > &param, std::string title, std::string _description = NULL);
+  FilesTextQuery(Parameter<std::vector< boost::filesystem::path> > &param, const std::string &_title, const std::string &_description = NULL);
   virtual ~FilesTextQuery();
   virtual bool handle();
@@ -96,5 +96,5 @@
 class TextDialog::IntTextQuery : public Dialog::TQuery<int> {
 public:
-  IntTextQuery(Parameter<int> &, std::string title, std::string _description = NULL);
+  IntTextQuery(Parameter<int> &, const std::string &_title, const std::string &_description = NULL);
   virtual ~IntTextQuery();
   virtual bool handle();
@@ -103,5 +103,5 @@
 class TextDialog::IntsTextQuery : public Dialog::TQuery<std::vector<int> > {
 public:
-  IntsTextQuery(Parameter<std::vector<int> > &, std::string title, std::string _description = NULL);
+  IntsTextQuery(Parameter<std::vector<int> > &, const std::string &_title, const std::string &_description = NULL);
   virtual ~IntsTextQuery();
   virtual bool handle();
@@ -110,5 +110,5 @@
 class TextDialog::MoleculeTextQuery : public Dialog::TQuery<const molecule *> {
 public:
-  MoleculeTextQuery(Parameter<const molecule *> &, std::string title, std::string _description = NULL);
+  MoleculeTextQuery(Parameter<const molecule *> &, const std::string &_title, const std::string &_description = NULL);
   virtual ~MoleculeTextQuery();
   virtual bool handle();
@@ -117,5 +117,5 @@
 class TextDialog::MoleculesTextQuery : public Dialog::TQuery<std::vector<const molecule *> > {
 public:
-  MoleculesTextQuery(Parameter<std::vector<const molecule *> > &, std::string title, std::string _description = NULL);
+  MoleculesTextQuery(Parameter<std::vector<const molecule *> > &, const std::string &_title, const std::string &_description = NULL);
   virtual ~MoleculesTextQuery();
   virtual bool handle();
@@ -124,5 +124,5 @@
 class TextDialog::StringTextQuery : public Dialog::TQuery<std::string> {
 public:
-  StringTextQuery(Parameter<std::string> &, std::string title, std::string _description = NULL);
+  StringTextQuery(Parameter<std::string> &, const std::string &_title, const std::string &_description = NULL);
   virtual ~StringTextQuery();
   virtual bool handle();
@@ -131,5 +131,5 @@
 class TextDialog::StringsTextQuery : public Dialog::TQuery<std::vector<std::string> > {
 public:
-  StringsTextQuery(Parameter<std::vector<std::string> > &, std::string title, std::string _description = NULL);
+  StringsTextQuery(Parameter<std::vector<std::string> > &, const std::string &_title, const std::string &_description = NULL);
   virtual ~StringsTextQuery();
   virtual bool handle();
@@ -138,5 +138,5 @@
 class TextDialog::UnsignedIntTextQuery : public Dialog::TQuery<unsigned int> {
 public:
-  UnsignedIntTextQuery(Parameter<unsigned int> &, std::string title, std::string _description = NULL);
+  UnsignedIntTextQuery(Parameter<unsigned int> &, const std::string &_title, const std::string &_description = NULL);
   virtual ~UnsignedIntTextQuery();
   virtual bool handle();
@@ -145,5 +145,5 @@
 class TextDialog::UnsignedIntsTextQuery : public Dialog::TQuery<std::vector<unsigned int> > {
 public:
-  UnsignedIntsTextQuery(Parameter<std::vector<unsigned int> > &, std::string title, std::string _description = NULL);
+  UnsignedIntsTextQuery(Parameter<std::vector<unsigned int> > &, const std::string &_title, const std::string &_description = NULL);
   virtual ~UnsignedIntsTextQuery();
   virtual bool handle();
@@ -152,5 +152,5 @@
 class TextDialog::VectorTextQuery : public Dialog::TQuery<Vector> {
 public:
-  VectorTextQuery(Parameter<Vector> &, std::string title, std::string _description = NULL);
+  VectorTextQuery(Parameter<Vector> &, const std::string &_title, const std::string &_description = NULL);
   virtual ~VectorTextQuery();
   virtual bool handle();
@@ -159,5 +159,5 @@
 class TextDialog::VectorsTextQuery : public Dialog::TQuery<std::vector<Vector> > {
 public:
-  VectorsTextQuery(Parameter<std::vector<Vector> > &, std::string title, std::string _description = NULL);
+  VectorsTextQuery(Parameter<std::vector<Vector> > &, const std::string &_title, const std::string &_description = NULL);
   virtual ~VectorsTextQuery();
   virtual bool handle();
@@ -166,5 +166,5 @@
 class TextDialog::RandomNumberDistribution_ParametersTextQuery : public Dialog::TQuery<RandomNumberDistribution_Parameters> {
 public:
-  RandomNumberDistribution_ParametersTextQuery(Parameter<RandomNumberDistribution_Parameters> &, std::string title, std::string _description = NULL);
+  RandomNumberDistribution_ParametersTextQuery(Parameter<RandomNumberDistribution_Parameters> &, const std::string &_title, const std::string &_description = NULL);
   virtual ~RandomNumberDistribution_ParametersTextQuery();
   virtual bool handle();
Index: src/UIElements/TextUI/Query/UnsignedIntTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/UnsignedIntTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/UnsignedIntTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -43,6 +43,6 @@
 
 
-TextDialog::UnsignedIntTextQuery::UnsignedIntTextQuery(Parameter<unsigned int> &_param, std::string title, std::string _description) :
-    Dialog::TQuery<unsigned int>(_param, title,_description)
+TextDialog::UnsignedIntTextQuery::UnsignedIntTextQuery(Parameter<unsigned int> &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<unsigned int>(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/UnsignedIntsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/UnsignedIntsTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/UnsignedIntsTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -43,6 +43,6 @@
 
 
-TextDialog::UnsignedIntsTextQuery::UnsignedIntsTextQuery(Parameter<std::vector<unsigned int> > &_param, std::string title, std::string _description) :
-    Dialog::TQuery<std::vector<unsigned int> >(_param, title,_description)
+TextDialog::UnsignedIntsTextQuery::UnsignedIntsTextQuery(Parameter<std::vector<unsigned int> > &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<std::vector<unsigned int> >(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/VectorTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/VectorTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/VectorTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -46,6 +46,6 @@
 
 
-TextDialog::VectorTextQuery::VectorTextQuery(Parameter<Vector> &_param, std::string title, std::string _description) :
-    Dialog::TQuery<Vector>(_param, title,_description)
+TextDialog::VectorTextQuery::VectorTextQuery(Parameter<Vector> &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<Vector>(_param, _title,_description)
 {}
 
Index: src/UIElements/TextUI/Query/VectorsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/VectorsTextQuery.cpp	(revision 94d5ac60852caf3933c959f8314ca0be3d3a7c51)
+++ src/UIElements/TextUI/Query/VectorsTextQuery.cpp	(revision f130d4bfaa72247e3972474a6e9f5ca33463eaa8)
@@ -46,6 +46,6 @@
 
 
-TextDialog::VectorsTextQuery::VectorsTextQuery(Parameter<std::vector<Vector> > &_param, std::string title, std::string _description) :
-    Dialog::TQuery<std::vector<Vector> >(_param, title,_description)
+TextDialog::VectorsTextQuery::VectorsTextQuery(Parameter<std::vector<Vector> > &_param, const std::string &_title, const std::string &_description) :
+    Dialog::TQuery<std::vector<Vector> >(_param, _title,_description)
 {}
 
